Subject: bug#65017: 29.1; Byte compiler interaction with cl-lib function objects, removes symbol-function

From: Stefan Monnier <[email-masked]>
Date: Sat, 05 Aug 2023 18:45:32 -0400

> I've lost the context, somewhat, but the key thing is that the notion of
> symbol with position isn't really defined when symbols-with-pos-enabled
> is nil.  Returning non-nil for (equal 'foo #<symbol foo at 42>) in this
> case is like saying 'foo is equal to an undefined entity.  This is
> asking for the sort of trouble we're seeing in this bug.

I don't like this idea that we should pretend sympos objects don't exist
(or are "undefined") when `symbols-with-pos-enabled` is nil.

> and friends.  I don't think you should do this, since
> symbols-with-pos-enabled, ugly though it may be, is working.

As I said, I consider it as a wart, IOW a technical debt.
We *should* come up with a plan to reimburse this debt, regardless if it
takes a long time to pay it back.

        Stefan